Bug 109026 - Command line help incorrect for MasterTool
Summary: Command line help incorrect for MasterTool
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rafael H. Schloming
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 106597
TreeView+ depends on / blocked
 
Reported: 2003-11-04 15:46 UTC by Daniel Berrange
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-13 22:16:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-11-04 15:46:14 UTC
Description of problem:

The command line help for MasterTool only lists the parameters, it
doesn't like the non-parameter arguments. ie the list of application
package names.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run 'ccm load'
2.
3.
  
Actual results:
dan@camden$ ccm load
usage: ccm load [--interactive] [--config] [--file <FILE>] [--parameters
       <KEY=VALUE ...>] [--schema] [--data] [--usage]
[snipped descriptions]

Expected results:

usage: ccm load [--interactive] [--config] [--file <FILE>] [--parameters
       <KEY=VALUE ...>] [--schema] [--data] [--usage] app1 [app2 [app3
...]]

[snipped descriptions]

Additional info:

Comment 1 Rafael H. Schloming 2003-11-07 15:22:31 UTC
Fixed @37809.


Note You need to log in before you can comment on or make changes to this bug.